Skip to main content
POST
/
api
/
stock_unit_types
Create a stock unit type
curl --request POST \
  --url https://clarus-api.com/api/stock_unit_types \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "data": {
    "type": "stock_unit_types",
    "attributes": {
      "code": "PALLET",
      "name": "Pallet",
      "description": "Standard UK pallet unit"
    }
  }
}
'
{
  "data": {
    "id": "1",
    "type": "stock_unit_types",
    "attributes": {
      "code": "PALLET",
      "name": "Pallet",
      "description": "Standard UK pallet unit"
    }
  }
}

Request Structure

{
  "data": {
    "type": "stock_unit_types",
    "attributes": {
      "code": "PALLET",
      "name": "Pallet"
    }
  }
}
FieldRequiredDescription
codeYesCode (max 50)
nameYesName
Deletion is blocked if any product, stock, or transaction references the type.

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Body

application/json
data
object
required

Response

Created successfully

The response is of type object.